> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitski.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Unclaimed Droplinks

> Returns available claim codes matching the passed in ids that the current user has not yet claimed.

> [!NOTE]
>
> Access to this API is available upon request to [sales@bitski.com](mailto:sales@bitski.com).

```bash cURL theme={null}
curl -X 'GET' \
  'https://api.bitski.com/v1/claim-codes/unclaimed?ids={ids}' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer <ACCESS_TOKEN>'
```

### Parameters

**ids** `string` *required*

An array of claim ids

### Examples

![Example droplink](https://mintcdn.com/bitski/Et9Vn7Lnb6TuZTLD/assets/images/unclaimed-d53061897d4e59685edf96d59a157712.jpeg?fit=max\&auto=format\&n=Et9Vn7Lnb6TuZTLD\&q=85\&s=3059d3baf685c15bb0d708a64d37cd5c)

### Response

**claimCodes** `array` *required*

**properties**

**id** `string` *required*

**claimableType** `string` *required*

**code** `string`

**createdAt** `string`

**description** `string`

**maxClaims** `number`

**storeUsername** `number`

**network** `string` *required* (default: mainnet)

The ethereum network identifier

**tokenMetadata** `Token Metadata object` *required*

**properties**

**name** `string`

**image** `string`

**description** `string`

**animation\_url** `string`

**attributes** `object`

**background\_color** `string`

**external\_url** `string`

**properties** `object`

**youtube\_url** `string`

```json Sample Response theme={null}
{
  "claim_codes": [
    {
      "claim_code": {
        "claimableType": "RAFFLE",
        "code": "BIRDFAN2023",
        "createdAt": "2023-04-20T18:10:09.848Z",
        "description": "A free bird NFT",
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "maxClaims": 1,
        "storeUsername": "nft_fans"
      },
      "network": "mainnet",
      "token_metadata": {
        "animation_url": null,
        "attributes": null,
        "background_color": null,
        "description": "A very special NFT",
        "external_url": "https://www.bitski.com/@Stapleverse",
        "image": "https://cdn.bitskistatic.com/tokens-raw/54676382-bab5-408d-afe2-fc6f160da4a8/06fd0294-a425-44c7-96e8-9d24757163b4.png",
        "name": "NFT Token #1",
        "properties": {},
        "youtube_url": null
      }
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.